ubiquity only mode: close/minimize/restore are on the right edge

Bug #1508327 reported by Didier Roche on 2015-10-21
12
This bug affects 2 people
Affects Status Importance Assigned to Milestone
Release Notes for Ubuntu
Undecided
Unassigned
unity-settings-daemon (Ubuntu)
High
Lars Karlitski
Wily
High
Unassigned

Bug Description

[Impact]
Unity settings daemon has a tendency to crash in ubiquity only install mode. The result is that close/minimize/restore are suddenly shifted to the right

[Test Case]
1. Start the live iso, choose the ubiquity-only installer mode.
2. Wait for some screen, opens some ubuntu control center windows -> you may get a crash (reliably on some machines) in the 30s. This results visually in the decorations button shifting to the right.
3. Install the u-s-d package from -proposed (with break=casper-bottom) on the live and then pursue to ubiquity starting.
4. Redo the some operation then 2 -> no crash should happen

[Regression potential]
The crash only happened on certain machine and only at install time. The fix will be there mostly for the LTS install time then, but still can be useful for any derivatives which don't want that crash to happeN.

Fresh image from 21/10/2015, downloaded this morning.
Choose ubiquity only mode (here in French).

First, the window decoration are on the left, but after you open any
other windows (like the text entry from the keyboard indicator, or try
to grab a screenshot), any modal dialog in ubiquity (like "apply those
changes to disk") or additional windows started from indicators like
text entry settings for keyboard have their window decoration controls
shifted to the right (see pictures attached).

Looking at unity-settings-daemon, it's <defunct> on the ps list.

ProblemType: Bug
DistroRelease: Ubuntu 15.10
Package: ubiquity (not installed)
ProcVersionSignature: Ubuntu 4.2.0-16.19-generic 4.2.3
Uname: Linux 4.2.0-16-generic x86_64
ApportVersion: 2.19.1-0ubuntu3
Architecture: amd64
CurrentDesktop: Unity
Date: Wed Oct 21 08:59:05 2015
InstallationDate: Installed on 2012-05-28 (1240 days ago)
InstallationMedia: Ubuntu 12.04 LTS "Precise Pangolin" - Release amd64 (20120425)
SourcePackage: ubiquity
UpgradeStatus: Upgraded to wily on 2014-10-31 (354 days ago)

Related branches

Didier Roche (didrocks) wrote :
Didier Roche (didrocks) wrote :
Didier Roche (didrocks) wrote :
Changed in ubiquity (Ubuntu):
importance: Undecided → High
tags: added: iso-testing
Didier Roche (didrocks) on 2015-10-21
description: updated
Sebastien Bacher (seb128) wrote :

unity-settings-daemon is "<defunct>" in the ps list, doesn't look right

Didier Roche (didrocks) on 2015-10-21
description: updated
affects: ubiquity (Ubuntu) → unity-settings-daemon (Ubuntu)
Sebastien Bacher (seb128) wrote :

there is an apport report/segfault in syslog

"#0 engine_update_composite_device (manager=manager@entry=0x9530280,
    original_device=original_device@entry=0xb0f0e958)
    at gsd-power-manager.c:781
#1 0xb10ed7a3 in device_properties_changed_cb (device=0xb0f0e958,
    pspec=0x95897a0, manager=0x9530280) at gsd-power-manager.c:1631
#2 0xb6ceb53c in g_cclosure_marshal_VOID__PARAM ()
   from /usr/lib/i386-linux-gnu/libgobject-2.0.so.0
#3 0xb6ce8b8b in g_closure_invoke ()
   from /usr/lib/i386-linux-gnu/libgobject-2.0.so.0
...

Sebastien Bacher (seb128) wrote :

seems similar to bug bug #1436861

Didier Roche (didrocks) on 2015-10-21
description: updated
Didier Roche (didrocks) on 2015-10-21
description: updated
Didier Roche (didrocks) wrote :

Remove duplicate, we still have the crash despite the u-s-d fix from the 21st

Didier Roche (didrocks) wrote :

New stracktrace attached

Changed in ubuntu-release-notes:
status: New → Fix Released
Didier Roche (didrocks) on 2015-10-22
description: updated
Changed in unity-settings-daemon (Ubuntu):
status: New → Triaged
assignee: nobody → Lars Uebernickel (larsu)
Didier Roche (didrocks) on 2015-10-22
description: updated
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package unity-settings-daemon - 15.04.1+16.04.20151106-0ubuntu1

---------------
unity-settings-daemon (15.04.1+16.04.20151106-0ubuntu1) xenial; urgency=medium

  [ CI Train Bot ]
  * New rebuild forced.

  [ Lars Uebernickel ]
  * power: disconnect signals from rr_screen (LP: #1508327)

  [ Mitsuya Shibata ]
  * unity-settings-daemon should initialize org.gnome.desktop.input-
    sources for fcitx as same as ibus when sources property is empty.
    (LP: #1465535)

  [ Sebastien Bacher ]
  * remove g_warning debug leftover
  * wacom: backport upstream change to use correct device types
  * xsettings: disconnect signal from plugin_settings

 -- Sebastien Bacher <email address hidden> Fri, 06 Nov 2015 14:40:42 +0000

Changed in unity-settings-daemon (Ubuntu):
status: Triaged → Fix Released

Hello Didier, or anyone else affected,

Accepted unity-settings-daemon into wily-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/unity-settings-daemon/15.04.1+15.10.20151029-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in unity-settings-daemon (Ubuntu Wily):
importance: Undecided → High
status: New → Fix Committed
tags: added: verification-needed
Sebastien Bacher (seb128) wrote :

no issue with that version

tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package unity-settings-daemon - 15.04.1+15.10.20151029-0ubuntu1

---------------
unity-settings-daemon (15.04.1+15.10.20151029-0ubuntu1) wily; urgency=medium

  [ Lars Uebernickel ]
  * power: disconnect signals from rr_screen (LP: #1508327)

  [ Mitsuya Shibata ]
  * unity-settings-daemon should initialize org.gnome.desktop.input-
    sources for fcitx as same as ibus when sources property is empty.
    (LP: #1465535)

  [ Sebastien Bacher ]
  * remove g_warning debug leftover
  * xsettings: disconnect signal from plugin_settings

 -- Sebastien Bacher <email address hidden> Thu, 29 Oct 2015 10:19:55 +0000

Changed in unity-settings-daemon (Ubuntu Wily):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for unity-settings-daemon has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers